Bug 474971 - snd-bt878: driver signals POLLOUT much too often
snd-bt878: driver signals POLLOUT much too often
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-12-06 01:09 EST by Stephen
Modified: 2009-12-18 02:10 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:10:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
ALSA Project 4339 None None None Never

  None (edit)
Description Stephen 2008-12-06 01:09:38 EST
Description of problem:

/var/log/messages is getting spammed with:

Dec  6 05:42:26 localhost pulseaudio[2800]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.


I guess this is this upstream ticket:

  http://www.pulseaudio.org/ticket/420

No comment from a developer so maybe this isn't being worked on.


Would be nice to get a fix pushed as an update sooner rather than later as sound is very choppy.
Comment 1 Lennart Poettering 2008-12-08 13:20:16 EST
As mentioned, this is an ALSA bug. ALSA is lying to us. Reassigning.
Comment 2 Lennart Poettering 2008-12-17 17:30:56 EST
Please add some info about the sound driver used here. Thanks.
Comment 4 Mace Moneta 2009-01-11 21:31:21 EST
I'm seeing this too:

# lspci|grep -i audio; uname -a; rpm -q pulseaudio

00:0c.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 11)
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
Linux mmouse.moneta.optonline.net 2.6.27.9-159.fc10.i686 #1 SMP Tue Dec 16 15:12:04 EST 2008 i686 athlon i386 GNU/Linux
pulseaudio-0.9.13-6.fc10.i386

/var/log/messages (while playing audio in rhythmbox):

Jan 11 21:29:13 mmouse pulseaudio[30756]: module-alsa-sink.c: ALSA woke us up to
 write new data to the device, but there was actually nothing to write! Most lik
ely this is an ALSA driver bug. Please report this issue to the PulseAudio devel
opers.
Jan 11 21:29:31 mmouse pulseaudio[30756]: module-alsa-sink.c: ALSA woke us up to
 write new data to the device, but there was actually nothing to write! Most lik
ely this is an ALSA driver bug. Please report this issue to the PulseAudio devel
opers.
Jan 11 21:29:31 mmouse pulseaudio[30756]: module-alsa-sink.c: ALSA woke us up to
 write new data to the device, but there was actually nothing to write! Most lik
ely this is an ALSA driver bug. Please report this issue to the PulseAudio devel
opers.
Jan 11 21:29:31 mmouse pulseaudio[30756]: module-alsa-sink.c: ALSA woke us up to
 write new data to the device, but there was actually nothing to write! Most lik
ely this is an ALSA driver bug. Please report this issue to the PulseAudio devel
opers.
...
Comment 5 Yuriy V. 2009-01-27 14:10:55 EST
I have the same problem.

I use 2 sound cards. 
1. "ESS Technology ES1988 Allegro-1 ESS Allegro-1 Audiodrive" works perfectly 
2. "VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller" doesn't work.

when i try to use VIA AC97 card i get this in /var/log/messages:

Jan 27 21:18:02 dream pulseaudio[2667]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but therewas actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.

moreover when i try to use ESS card via pulseaudio i get intermittent sounds :(

Hardware:
http://www.smolts.org/client/show/pub_4cf67e4c-0fd4-473f-8df2-177fd0b736cf

alsa 1.0.17
kernel-2.6.27.12-170.2.5.fc10.i686
pulseaudio-0.9.13-6.fc10.i386

----/proc/asound/cards:
 0 [PCI            ]: Allegro - ESS Allegro PCI
                      ESS Allegro PCI at 0xe800, irq 19
 1 [V8235          ]: VIA8233 - VIA 8235
                      VIA 8235 with ALC650F at 0xd800, irq 22
----/proc/asound/modules
 0 snd_maestro3
 1 snd_via82xx
Comment 6 Partha Bagchi 2009-01-31 08:12:53 EST
I am getting the same comment also:
_______________
pulseaudio[3024]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.
_______________
Details:

alsa 1.0.19
pulseaudion 0.9.12-6
kernel 2.6.27.12-170.2.5.fc10.i686 #1 SMP

Device:
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
01:00.1 Audio device: ATI Technologies Inc RV620 Audio device [Radeon HD 34xx Series]

 0 [Intel          ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xd5200000 irq 22
 1 [HDMI           ]: HDA-Intel - HDA ATI HDMI
                      HDA ATI HDMI at 0xd0030000 irq 17

_______________

Let me know if you need more details.

Partha
Comment 7 John 2009-02-03 17:44:20 EST
See bug 471941, comment 8 for a workaround for your message log filling up.
Comment 8 Geoffrey Pursell 2009-02-11 16:51:19 EST
I am seeing this also with my ESS Maestro3.
Comment 9 Bug Zapper 2009-11-18 05:21:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 02:10:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.